This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 753611 - Hibernate ceased working after upgrade from Fedora 15
Hibernate ceased working after upgrade from Fedora 15
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kernel_hibernate
  Show dependency treegraph
 
Reported: 2011-11-13 13:34 EST by Sigrid Philippsen
Modified: 2012-11-13 10:04 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-13 10:04:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sigrid Philippsen 2011-11-13 13:34:02 EST
Description of problem:
SSIA, system hibernated fine on Fedora 15, now it begins to hibernate, screen goes blank, then doesn't poweroff (likewise for suspend to RAM).

Version-Release number of selected component (if applicable):
kernel-3.1.0-7.fc16.x86_64
kernel-3.1.1-1.fc16.x86_64

How reproducible:
Reproducible.

Steps to Reproduce:
1. Hibernate (or suspend to RAM)
  
Actual results:
Blank screen, fan spins.

Expected results:
Hibernates/suspends. Later wakes up again,

Additional info:
Worked fine on Fedora 15.

Hardware info: http://www.smolts.org/client/show/pub_4177bc21-d587-47d3-8157-642476ed31a3
Comment 1 Dave Jones 2012-03-22 12:37:28 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 2 Dave Jones 2012-03-22 12:42:33 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 3 Dave Jones 2012-03-22 12:50:52 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 4 Josh Boyer 2012-03-28 14:00:02 EDT
[Mass hibernate bug update]

Dave Airlied has found an issue causing some corruption in the i915 fbdev after a resume from hibernate.  I have included his patch in this scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3940545

This will probably not solve all of the issues being tracked at the moment, but it is worth testing when the build completes.  If this seems to clear up the issues you see with hibernate, please report your results in the bug.
Comment 5 Nils Philippsen 2012-03-29 05:39:28 EDT
The machine in question (comment #0) has a Radeon graphics adapter i.e. shouldn't be affected by the i915 fbdev corruption.

With kernel-3.3.0-4.fc16, it hibernates but takes really long to do so (hard to guess what's happening as it doesn't have a harddisk activity LED and the drive is pretty quiet). Still not viable to use hibernation due to bug #744275.
Comment 6 Dave Jones 2012-10-23 11:25:05 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 7 Justin M. Forbes 2012-11-13 10:04:09 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.